Holidays

List holidays

GET
/orgs/{organizationId}/holidays

Lists public or school holidays for the organization country and locale from OpenHolidays API. Country and language default from organization settings; optional overrides apply per request.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Query Parameters

validFrom*string
Match^\d{4}-\d{2}-\d{2}$
validTo*string
Match^\d{4}-\d{2}-\d{2}$
kind?string
Default"school"
Value in"school""public"
countryIsoCode?string
Length2 <= length <= 2
languageIsoCode?string
Length2 <= length <= 3
subdivisionCode?string
Length1 <= length
groupCode?string
Length1 <= length

Response Body

Holidays in the requested date range

application/json
  1. response
items*array<>
countryIsoCode*string
Length2 <= length <= 2
languageIsoCode*string
Length2 <= length
curl -X GET 'https://api.tillor.eu/orgs/string/holidays?validFrom=string&validTo=string'
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "startDate": "string",      "endDate": "string",      "type": "Public",      "nationwide": true,      "groupCodes": [        "string"      ],      "subdivisionCodes": [        "string"      ]    }  ],  "countryIsoCode": "st",  "languageIsoCode": "string"}